document.addEventListener('DOMContentLoaded', () => {
    // Smooth scroll for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Mobile menu toggle
    const createMobileMenu = () => {
        const nav = document.querySelector('.nav-links');
        const burger = document.createElement('button');
        burger.className = 'mobile-menu-button';
        burger.innerHTML = '☰';
        burger.style.display = 'none';
        
        if (window.innerWidth <= 768) {
            burger.style.display = 'block';
        }
        
        burger.addEventListener('click', () => {
            nav.style.display = nav.style.display === 'flex' ? 'none' : 'flex';
        });
        
        document.querySelector('nav').appendChild(burger);
    };

    createMobileMenu();

    // Form submission handling
    const form = document.querySelector('.subscribe-form');
    form.addEventListener('submit', (e) => {
        e.preventDefault();
        const email = form.querySelector('input[type="email"]').value;
        if (email) {
            alert('Thank you for subscribing! We\'ll keep you updated.');
            form.reset();
        }
    });
});